#include "stdafx.h"
#include "DropListBox.h"

IMPLEMENT_DYNAMIC(CDropListBox, CListBox)

BEGIN_MESSAGE_MAP(CDropListBox, CListBox)
	ON_WM_DROPFILES()
END_MESSAGE_MAP()


void CDropListBox::OnDropFiles(HDROP hDropInfo)
{
	UINT uDragCount = DragQueryFile (hDropInfo, 0xFFFFFFFF, NULL,0);
	for (unsigned int i=0; i<uDragCount; i++) {
		char szSourceFolder[MAX_PATH];
		DragQueryFile (hDropInfo, i, szSourceFolder, MAX_PATH);
		AddString (szSourceFolder);
	}

	CListBox::OnDropFiles(hDropInfo);
}

